<?php

namespace App\Entity;

use App\Repository\PriceDepartmentRepository;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass=PriceDepartmentRepository::class)
 */
class PriceDepartment
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $name;

    /**
     * @ORM\Column(type="integer", nullable=true)
     */
    private $groupId;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $groupName;

    /**
     * @ORM\Column(type="integer", nullable=true)
     */
    private $doctCount;

    /**
     * @ORM\Column(type="boolean")
     */
    private $viewInWeb;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getName(): ?string
    {
        return $this->name;
    }

    public function setName(?string $name): self
    {
        $this->name = $name;

        return $this;
    }

    public function getGroupId(): ?int
    {
        return $this->groupId;
    }

    public function setGroupId(?int $groupId): self
    {
        $this->groupId = $groupId;

        return $this;
    }

    public function getGroupName(): ?string
    {
        return $this->groupName;
    }

    public function setGroupName(?string $groupName): self
    {
        $this->groupName = $groupName;

        return $this;
    }

    public function getDoctCount(): ?int
    {
        return $this->doctCount;
    }

    public function setDoctCount(?int $doctCount): self
    {
        $this->doctCount = $doctCount;

        return $this;
    }

    public function getViewInWeb(): ?bool
    {
        return $this->viewInWeb;
    }

    public function setViewInWeb(bool $viewInWeb): self
    {
        $this->viewInWeb = $viewInWeb;

        return $this;
    }

    public function toArray() {
        return get_object_vars($this);
    }

}
